Loading...
Searching...
No Matches
FastSweeping< SdfGridT, ExtValueT >::MinMaxKernel Struct Reference

`#include <openvdb/tools/FastSweeping.h>`

## Public Types

using | LeafMgr = tree::LeafManager<const SdfTreeT>
using | LeafRange = typename LeafMgr::LeafRange

## Public Member Functions

| MinMaxKernel ()
| MinMaxKernel (MinMaxKernel &other, tbb::split)
math::MinMax< SdfValueT > | run (const SdfGridT &grid)
void | operator() (const LeafRange &r)
void | join (const MinMaxKernel &other)

## Public Attributes

SdfValueT | mMin
SdfValueT | mMax
bool | mFltMinExists
bool | mFltMaxExists

## Detailed Description

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>
struct openvdb::v11_0::tools::FastSweeping< SdfGridT, ExtValueT >::MinMaxKernel

Private class of FastSweeping to quickly compute the extrema values of the active voxels in the leaf nodes. Several orders of magnitude faster than tools::extrema! Also determines whether there is float max or float min stored in a voxel.

## Member Typedef Documentation

## LeafMgr

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

using LeafMgr = tree::LeafManager<const SdfTreeT>

## LeafRange

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

using LeafRange = typename LeafMgr::LeafRange

## Constructor & Destructor Documentation

## MinMaxKernel() [1/2]

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

MinMaxKernel | ( |  | ) |

inline

## MinMaxKernel() [2/2]

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

MinMaxKernel | ( | MinMaxKernel & | other,
|  | tbb::split | )

inline

## Member Function Documentation

## join()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

void join | ( | const MinMaxKernel & | other | ) |

inline

## operator()()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

void operator() | ( | const LeafRange & | r | ) |

inline

## run()

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

math::MinMax< SdfValueT > run | ( | const SdfGridT & | grid | ) |

inline

## Member Data Documentation

## mFltMaxExists

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

bool mFltMaxExists

## mFltMinExists

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

bool mFltMinExists

## mMax

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mMax

## mMin

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mMin